APT-CDROM(8)

NAME
apt-cdrom - Hulpprogramma van APT voor CD-beheer

SAMENVATTING

apt-cdrom [-rmfan] [-d=cd-aankoppelpunt] [-o=configuratietekenreeks] [-c=configuratiebestand] {add | ident | {-v | --version} | {-h | --help}}

OMSCHRIJVING

apt-cdrom wordt gebruikt om een nieuwe CD toe te voegen aan de lijst van beschikbare bronnen voor APT. apt-cdrom draagt zorg voor het achterhalen van de structuur van de schijf, voor het uitvoeren van correcties voor verschillende mogelijke fouten tijdens het branden en voor de controle van de indexbestanden.

Voor het toevoegen van CD's aan het systeem van APT is het gebruik van apt-cdrom noodzakelijk. U kunt dit niet handmatig uitvoeren. Bovendien moet iedere CD uit een set schijven afzonderlijk ingevoerd worden en onderzocht op mogelijke fouten bij het branden.

Tenzij de optie -h, of --help opgegeven werd, moet een van de onderstaande commando's gebruikt worden.

add
    add wordt gebruikt om een nieuwe schijf aan de pakketbronnen toe te voegen. Het zal het CD-station ontkoppelen, vragen om een schijf in te voeren, die schijf controleren en de indexbestanden kopiëren. Indien de schijf geen passende map .disk bevat, zal u om een beschrijvende titel gevraagd worden.

    APT maakt per schijf gebruik van een ID om vast te stellen welke CD zich momenteel in het station bevindt en houdt een database van deze ID's bij in /var/lib/apt/cdroms.list

ident
    Een debug-gereedschap dat rapporteert over de identiteit van de huidige schijf en de naam van het opgeslagen bestand

OPTIES

Alle commandoregelopties kunnen via het configuratiebestand ingesteld worden. de omschrijving geeft de in te stellen configuratieoptie op. Bij booleaanse opties kunt u instellingen uit het configuratiebestand overschrijven door iets te gebruiken als -f-, --no-f, -f=no en meerdere andere variaties.

--no-auto-detect, --cdrom
    Niet automatisch het CD-pad trachten te achterhalen. Meestal wordt dit gecombineerd met de optie --cdrom. Configuratie-item: Acquire::cdrom::AutoDetect.

-d, --cdrom
    Aankoppelpunt; de locatie waar de CD aangekoppeld moet worden opgeven. Dit aankoppelpunt moet in /etc/fstab vermeld worden en correct geconfigureerd zijn. Configuratie-item: Acquire::cdrom::mount.

-r, --rename
    Een schijf hernoemen; de naam van een schijf wijzigen of de aan een schijf gegeven naam overschrijven. Deze optie doet apt-cdrom om een nieuwe naam vragen. Configuratie-item: APT::CDROM::Rename.

-m, --no-mount
    Niet aankoppelen; apt-cdrom verhinderen om het aankoppelpunt aan en af te koppelen. Configuratie-item: APT::CDROM::NoMount.

-f, --fast
    Snel kopiëren; Aannemen dat de pakketbestanden geldig zijn en niet elk pakket controleren. Deze optie mag enkel gebruikt worden als op deze schijf vooraf apt-cdrom uitgevoerd werd en er geen fouten gevonden werden. Configuratie-item: APT::CDROM::Fast.

-a, --thorough
    Grondig naar Package speuren; Deze optie kan noodzakelijk zijn bij sommige oude schijven die Debian 1.1/1.2 bevatten en waarbij de Package-bestanden zich op ongewone plaatsen bevinden. Het vraagt veel meer tijd om de CD te doorzoeken, maar de bestanden zullen allemaal gevonden worden.

-n, --just-print, --recon, --no-act
    Geen wijzigingen. Het bestand sources.list(5) niet veranderen en geen indexbestanden wegschrijven. Niettemin wordt alles wel gecontroleerd. Configuratie-item: APT::CDROM::NoAct.

-h, --help
    Een korte samenvatting van het gebruik weergeven.

-v, --version
    Het versienummer van het programma weergeven.

--audit
    Controle- (en kennisgevings)berichten tonen. Dit heeft voorrang op de optie quiet, maar alleen voor waarschuwingsberichten, niet voor voortgangsberichten.

-c, --config-file
    Configuratiebestand; Een te gebruiken configuratiebestand opgeven. Het programma zal het standaard configuratiebestand inlezen en nadien dit configuratiebestand. Als configuratie-instellingen opgegeven moeten worden vooraleer de standaard configuratiebestanden verwerkt worden, geef dan een bestand op met de omgevingsvariabele APT_CONFIG. Raadpleeg apt.conf(5) voor informatie over de syntaxis.

-o, --option
    Een configuratieoptie instellen; Dit stelt een willekeurige configuratieoptie in. De syntaxis is -o Foo::Bar=bar. -o en --option kunnen meermaals gebruikt worden om verschillende opties in te stellen.

--no-color, --color
    Kleur aan- of uitzetten. Kleur staat standaard aan voor apt(8) op ondersteunde terminals en kan ook uitgezet worden met de omgevingsvariabelen NO_COLOR en APT_NO_COLOR, of verder geconfigureerd worden met de configuratieoptie en -scope APT::Color; zie apt.conf(5) voor informatie hierover.

ZIE OOK

apt.conf(5), apt-get(8), sources.list(5)

DIAGNOSTIEK

apt-cdrom geeft de terugkeerwaarde nul bij een normaal verlopen operatie, het decimaal getal 100 in geval van een fout.

BUGS

APT bugpagina[1]. Indien u een bug in APT wilt rapporteren, raadpleeg dan /usr/share/doc/debian/bug-reporting.txt of het reportbug(1) commando.

VERTALING

De Nederlandse vertaling werd in 2015 gemaakt door Frans Spiesschaert <Frans.Spiesschaert@yucom.be>, in samenwerking met het Debian Dutch l10n Team <debian-l10n-dutch@lists.debian.org>.

Merk op dat de vertaling van dit document nog onvertaalde delen kan bevatten. Dit is intentioneel om te vermijden dat inhoud verloren zou gaan door een vertaling die achterop loopt op het origineel.

AUTEURS

Jason Gunthorpe

APT-team

OPMERKINGEN

1.  APT bugpagina
    https://bugs.debian.org/src:apt